<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
header("Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . "GMT" );
header("Cache-Control: no-cache, must-revalidate" );
header("Pragma: no-cache" );
header("Content-type: text/x-json");
include($_SERVER['DOCUMENT_ROOT'] .'/script/HeaderInc.php');
if('XMLHttpRequest' == $_SERVER['HTTP_X_REQUESTED_WITH']) {
//  $VarUrlStr = $_POST['UrlStr'];
  if(true === isset($_GET['UrlType'])){
    $ObjUpdateMod = UpdateMod::getUpdater($_GET, new SystemMod($MS_SP));
    $VarUpdateExecResult = $ObjUpdateMod->UpdateExec();
    if (true === $VarUpdateExecResult){
      $ArrReturn = array('message' => $MS_SP->Sp_LangMessage['message']['MessUpdateSuccess']);
    }
    else{
      $ArrReturn = $VarUpdateExecResult;
    }
  }
  else{
    $ArrReturn = array('error' => $MS_SP->Sp_LangMessage['error']['ErrSettingWrong']);
  }
}
else{
  $ArrReturn = array('error' => $MS_SP->Sp_LangMessage['error']['ErrFuncAccessDenied']);
}
echo json_encode($ArrReturn);
include($_SERVER['DOCUMENT_ROOT'] .'/script/FooterInc.php');
?>